<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/SimTrackerHitData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SimTrackerHitData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_sim_tracker_hit_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef EICD_SimTrackerHitDATA_H</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define EICD_SimTrackerHitDATA_H</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_data.html">   12</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_sim_tracker_hit_data.html">SimTrackerHitData</a> {</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_data.html#a122a7ba424c6dfab43921e7da2dc0f56">   14</a></span>&#160;<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_sim_tracker_hit_data.html#a122a7ba424c6dfab43921e7da2dc0f56">cellID0</a>; </div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_data.html#a0745bf34579e98ccb1314418099f9aff">   15</a></span>&#160;<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_sim_tracker_hit_data.html#a0745bf34579e98ccb1314418099f9aff">cellID1</a>; </div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_data.html#a4a32acdd40a1e5318249ac73b33cef35">   16</a></span>&#160;std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_sim_tracker_hit_data.html#a4a32acdd40a1e5318249ac73b33cef35">position</a>; </div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_data.html#acbc250867871dfc9cde7b10dcb040cb9">   17</a></span>&#160;<span class="keywordtype">float</span> <a class="code" href="classeic_1_1_sim_tracker_hit_data.html#acbc250867871dfc9cde7b10dcb040cb9">time</a>; </div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_data.html#adc67d9f0e75a208f95f5e0dae36b25a9">   18</a></span>&#160;<span class="keywordtype">float</span> <a class="code" href="classeic_1_1_sim_tracker_hit_data.html#adc67d9f0e75a208f95f5e0dae36b25a9">pathLength</a>; </div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_data.html#ab67edf39538258d401e7e181b82500c6">   19</a></span>&#160;<span class="keywordtype">float</span> <a class="code" href="classeic_1_1_sim_tracker_hit_data.html#ab67edf39538258d401e7e181b82500c6">EDep</a>; </div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_tracker_hit_data.html#a3d83fd5eb997914afdeea3932ab427d0">   20</a></span>&#160;std::array&lt;float, 3&gt; <a class="code" href="classeic_1_1_sim_tracker_hit_data.html#a3d83fd5eb997914afdeea3932ab427d0">_p</a>; </div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;};</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_sim_tracker_hit_data_html_ab67edf39538258d401e7e181b82500c6"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_data.html#ab67edf39538258d401e7e181b82500c6">eic::SimTrackerHitData::EDep</a></div><div class="ttdeci">float EDep</div><div class="ttdoc">EDep. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_data_8h_source.html#l00019">SimTrackerHitData.h:19</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_data_html"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_data.html">eic::SimTrackerHitData</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_data_8h_source.html#l00012">SimTrackerHitData.h:12</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_data_html_a0745bf34579e98ccb1314418099f9aff"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_data.html#a0745bf34579e98ccb1314418099f9aff">eic::SimTrackerHitData::cellID1</a></div><div class="ttdeci">long long cellID1</div><div class="ttdoc">The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_data_8h_source.html#l00015">SimTrackerHitData.h:15</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_data_html_a4a32acdd40a1e5318249ac73b33cef35"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_data.html#a4a32acdd40a1e5318249ac73b33cef35">eic::SimTrackerHitData::position</a></div><div class="ttdeci">std::array&lt; double, 3 &gt; position</div><div class="ttdoc">The position of the hit in world coordinates. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_data_8h_source.html#l00016">SimTrackerHitData.h:16</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00011">CalorimeterHit.cc:11</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_data_html_adc67d9f0e75a208f95f5e0dae36b25a9"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_data.html#adc67d9f0e75a208f95f5e0dae36b25a9">eic::SimTrackerHitData::pathLength</a></div><div class="ttdeci">float pathLength</div><div class="ttdoc">path length </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_data_8h_source.html#l00018">SimTrackerHitData.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_data_html_a3d83fd5eb997914afdeea3932ab427d0"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_data.html#a3d83fd5eb997914afdeea3932ab427d0">eic::SimTrackerHitData::_p</a></div><div class="ttdeci">std::array&lt; float, 3 &gt; _p</div><div class="ttdoc">momentum </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_data_8h_source.html#l00020">SimTrackerHitData.h:20</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_data_html_acbc250867871dfc9cde7b10dcb040cb9"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_data.html#acbc250867871dfc9cde7b10dcb040cb9">eic::SimTrackerHitData::time</a></div><div class="ttdeci">float time</div><div class="ttdoc">The time of the hit in [ns]. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_data_8h_source.html#l00017">SimTrackerHitData.h:17</a></div></div>
<div class="ttc" id="classeic_1_1_sim_tracker_hit_data_html_a122a7ba424c6dfab43921e7da2dc0f56"><div class="ttname"><a href="classeic_1_1_sim_tracker_hit_data.html#a122a7ba424c6dfab43921e7da2dc0f56">eic::SimTrackerHitData::cellID0</a></div><div class="ttdeci">long long cellID0</div><div class="ttdoc">The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_tracker_hit_data_8h_source.html#l00014">SimTrackerHitData.h:14</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
